Page MenuHomePhabricator

Wikidata site configuration: enable subpage feature for "Property talk" namespace (wgNamespaceNumber: 121)
Closed, ResolvedPublic

Description

Property talk pages (wgNamespaceNumber: 121) at Wikidata sometimes include subpages with archives, chart, lists, etc.

It could be easier to navigate these if the link to the parent page was there, as on project namespace.

Community talk: https://www.wikidata.org/wiki/Wikidata:Project_chat/Archive/2016/09#Backlink_on_Property_talk_subpages.3F

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable subpages in 121 namespace in wikidata

Event Timeline

Esc3300 created this task.Sep 21 2016, 10:57 AM
Restricted Application added subscribers: TerraCodes, JEumerus, Matanya, Aklapper. · View Herald TranscriptSep 21 2016, 10:57 AM
Urbanecm triaged this task as Low priority.
Urbanecm added a subscriber: Urbanecm.

Please give a link to a discussion or a voting on Wikidata which support it. Other way, we won't process this.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptSep 21 2016, 11:50 AM

Thanks for the link. I think we should wait about 1 week from the start of the voting. Then it can be set up. Do you agree?

Change 312500 had a related patch set uploaded (by Urbanecm):
Enable subpages in 121 namespace in wikidata

https://gerrit.wikimedia.org/r/312500

Urbanecm updated the task description. (Show Details)Sep 25 2016, 11:15 AM
Esc3300 updated the task description. (Show Details)

Seems to be ready to go. I updated the link to the community discussion.

Okay, I agree with you @Esc3300. Going to schedule this for October 03 13:00-14:00 UTC.

Change 312500 merged by jenkins-bot:
Enable subpages in 121 namespace in wikidata

https://gerrit.wikimedia.org/r/312500

Mentioned in SAL (#wikimedia-operations) [2016-10-03T14:15:17Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:312500|Enable subpages in 121 namespace in wikidata (T146271)]] (duration: 00m 49s)

Urbanecm closed this task as Resolved.Oct 3 2016, 2:18 PM
Urbanecm moved this task from To deploy - scheduled for SWAT to To deploy on the User-Urbanecm board.

Deployed.

Urbanecm moved this task from Backlog to Done on the good first task board.Oct 3 2016, 2:19 PM

Mentioned in SAL (#wikimedia-operations) [2016-10-03T14:19:51Z] <hashar> Purged wikidata wiki property talk page, they now allow subpages (T146271). Ran: mwscript purgeList.php --wiki=wikidatawiki --namespace=121 --verbose

Mentioned in SAL (#wikimedia-operations) [2016-10-03T14:20:48Z] <hashar> T146271 mwscript purgeList.php --wiki=testwikidatawiki --namespace=121 --verbose

hashar added a subscriber: hashar.Oct 3 2016, 2:21 PM

Should be all fine now :]

Thanks. It works!